%define major 2
%define libname %mklibname player %{major}
%define develname %mklibname player -d

Name: libplayer
Version: 2.0.1
Release: %mkrel 9
URL: http://libplayer.geexbox.org/
Source:	http://libplayer.geexbox.org/releases/%{name}-%{version}.tar.bz2
Patch0: libplayer-2.0.1-link.patch
License: LGPLv2+
Summary: A multimedia A/V abstraction layer API
Group: System/Libraries
BuildRequires: pkgconfig(libxine)
BuildRequires: pkgconfig(libvlc)
Buildrequires: mplayer
BuildRequires: pkgconfig(gstreamer-0.10)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gstreamer-plugins-base-0.10)

%description
libplayer is a multimedia A/V abstraction layer API. Its goal is to
interact with Enna Media Center.

libplayer provides a generic A/V API that relies on various multimedia
player for Linux systems. It currently supports MPlayer, xine VLC and
GStreamer only.

Its main goal is to provide an unique API that player frontends can use
to control any kind of multimedia player underneath. For example, it
provides a library to easily control MPlayer famous slave-mode.

%package test
Summary: A multimedia A/V abstraction layer API - test program
Group: System/Libraries

%description test
libplayer provides a generic A/V API that relies on various multimedia
player for Linux systems. It currently supports MPlayer, xine VLC and
GStreamer only.

This package contains test program for libplayer.

%package -n %{libname}
Summary: A multimedia A/V abstraction layer API
Group: System/Libraries

%description -n %{libname}
libplayer provides a generic A/V API that relies on various multimedia
player for Linux systems. It currently supports MPlayer, xine VLC and
GStreamer only.

%package -n %{develname}
Summary: A multimedia A/V abstraction layer API
Group: System/Libraries
Provides: %{name}-devel = %{version}-%{release}
Requires: %libname = %version
Requires: pkgconfig(gstreamer-0.10)
Requires: pkgconfig(gstreamer-plugins-base-0.10)

%description -n %{develname}
libplayer provides a generic A/V API that relies on various multimedia
player for Linux systems. It currently supports MPlayer, xine VLC and
GStreamer only.

This package contains the headers required for compiling software that uses
the libplayer library.

%prep
%setup -q
%autopatch -p0

%build
%setup_compile_flags
./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--disable-static \
	--enable-shared \
	--enable-pic \
	--enable-gstreamer \
	--enable-mplayer \
	--enable-vlc \
	--enable-xine
%make

%install
%makeinstall_std

%files test
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Wed Jul 06 2016 pterjan <pterjan> 2.0.1-9.mga6
+ Revision: 1039197
- Just enable pic, my configure patch doesn't work

* Wed Jul 06 2016 pterjan <pterjan> 2.0.1-8.mga6
+ Revision: 1039178
- Use fPIC on shared libs on arm too

* Mon Feb 08 2016 umeabot <umeabot> 2.0.1-7.mga6
+ Revision: 942952
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-6.mga5
+ Revision: 749734
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-5.mga5
+ Revision: 681710
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.1-4.mga4
+ Revision: 521215
- Mageia 4 Mass Rebuild

* Sat Jan 19 2013 fwang <fwang> 2.0.1-3.mga3
+ Revision: 389709
- add cflags
- include gst dir

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 29 2011 trem <trem> 2.0.1-2.mga2
+ Revision: 150372
- add require gstreamer-0.10 and gstreamer-plugins-base-0.10 to package -devel
- add gstreamer-plugins-base-0.10 as BR
- use pkgconfig in BR instead of libfoo-devel

* Tue Sep 27 2011 trem <trem> 2.0.1-1.mga2
+ Revision: 149515
- imported package libplayer


* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2011.0
+ Revision: 594974
- new version 2.0.1

* Sun Jul 25 2010 Funda Wang <fwang@mandriva.org> 2.0.0-0.20100724.1mdv2011.0
+ Revision: 558287
- 2.0.0 tarball
- 2.0 instead

* Sun Jul 25 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1.20100724.1mdv2011.0
+ Revision: 558270
- New snapshot

* Sun Jan 03 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 485843
- import libplayer


